<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php");
?>
<html>
<head>
<title>Migrar Inventario</title>
</head>
<body>
<h2>!!! Espere un momento Importanto...!!!</h2>
<img src="GIF32.gif" width="123" height="6" id="imagen_espera" name="imagen_espera">
<?php
 
@$nar1 = fopen('archivos/'.$_REQUEST['t1'], "a");
//@$nar2 = fopen('archivos/'.$_REQUEST['t2'], "a");
if (!isset($_REQUEST['t1'])){
	echo '<h2>EL ARCHIVO NO EXISTE</h2>';
	echo '<meta content="1; url=DI61100_PR.php" HTTP-EQUIV="REFRESH">';
	exit();
}

	$archivo= fopen('archivos/'.$_REQUEST['t1'] , "r");
	//borrar tablas
	 //$s1=mysqli_query($con ,"delete from dggrupos");
	 //$s2=mysqli_query($con ,"delete from dgbasico");
	 //$s3=mysqli_query($con ,"delete from dglineas");
	 //$s4=mysqli_query($con ,"delete from dxmarcas");
	 //$s5=mysqli_query($con ,"delete from dginvent");
	 //$s6=mysqli_query($con ,"delete from dginvacu");
	 //$s7=mysqli_query($con ,"delete from dginvalm");
	 //$s8=mysqli_query($con ,"delete from dgcardex");
	 
	 
	while (!feof($archivo))
	{
		$cony += 1;
		//echo "QUE:".$cony."<br>";
		$crear=fgets($archivo,255);
		$trozo1=explode("|",$crear);
		$trozo1[0]=mysqli_real_escape_string($con,$trozo1[0]);
		$trozo1[1]=mysqli_real_escape_string($con,$trozo1[1]);
		
		//echo $trozo1. '<br>';
		$fin=count($trozo1);
		$sql1=mysqli_query($con ,"select * from dglineas where des_linea = '$trozo1[5]'");
		$reg1=mysqli_fetch_array($sql1);
		$nr =mysqli_num_rows($sql1);
		if($nr == 0){
			$sql2=mysqli_query($con ,"insert into dglineas (des_linea,acc_fec, acc_hor, usuario) values ('$trozo1[5]', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')");
			$linea = mysqli_insert_id($con); 
		}else{
			$linea = $reg1['linea']; 
		}
		// --> GRUPOS
		$sql1=mysqli_query($con ,"select * from dgbasico where des_basico = '$trozo1[6]'");
		@$reg1=mysqli_fetch_array($sql1);
		@$nr =mysqli_num_rows($sql1);
		if($nr == 0){
			$sql2=mysqli_query($con ,"insert into dgbasico (des_basico,lim_vta1, lim_vta2, lim_vta3, acc_fec, acc_hor, usuario) values ('$trozo1[6]', '$trozo1[12]', '$trozo1[13]', '$trozo1[14]','".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')");
			$grupo = mysqli_insert_id($con);
			$sql1=mysqli_query($con ,"select * from dgbasico where gpo_basico = '$grupo'");
			$reg1=mysqli_fetch_array($sql1);
			$lim11 = $reg1['lim_vta1']; 
			$lim22 = $reg1['lim_vta2']; 
			$lim33 = $reg1['lim_vta3']; 
		}else{
			$grupo = $reg1['gpo_basico']; 
			$lim11 = $reg1['lim_1']; 
			$lim22 = $reg1['lim_2']; 
			$lim33 = $reg1['lim_3']; 
		}
		// --> MARCAS
		$sql1=mysqli_query($con ,"select * from dxmarcas where des_marca= '$trozo1[7]'");
		$reg1=mysqli_fetch_array($sql1);
		$nr =mysqli_num_rows($sql1);
		if($nr == 0){
			$sql2=mysqli_query($con ,"insert into dxmarcas (des_marca,acc_fec, acc_hor, usuario) values ('$trozo1[7]', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')");
			$marca = mysqli_insert_id($con); 
		}else{
			$marca = $reg1['cve_marca']; 
		}
		// --> UNIDAD DE MEDIDA 1
		$sql1=mysqli_query($con ,"select * from dggrupos where des_uni= '$trozo1[15]'");
		$reg1=mysqli_fetch_array($sql1);
		$nr =mysqli_num_rows($sql1);
		if($nr == 0){
			$sql2=mysqli_query($con ,"insert into dggrupos (des_uni,acc_fec, acc_hor, usuario) values ('$trozo1[15]', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')");
			$unidad1 = mysqli_insert_id($con); 
		}else{
			$unidad1 = $reg1['cve_uni']; 
		}
		
		// --> UNIDAD DE MEDIDA 2
		$sql1=mysqli_query($con ,"select * from dggrupos where des_uni= '$trozo1[16]'");
		$reg1=mysqli_fetch_array($sql1);
		$nr =mysqli_num_rows($sql1);
		if($nr == 0){
			$sql2=mysqli_query($con ,"insert into dggrupos (des_uni,acc_fec, acc_hor, usuario) values ('$trozo1[16]', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')");
			$unidad2 = mysqli_insert_id($con); 
		}else{
			$unidad2 = $reg1['cve_uni']; 
		}
		
		// --> CARGAR AL ALMACEN
	//$sql22=mysqli_query($con ,"insert into dginvalm (nparte1, almacen, exi_fis_alm, can_dis_alm, acc_fec, acc_hor, usuario) values ('$trozo1[0]','0C','$trozo1[27]','$trozo1[28]', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')");
		
		//CARGAR A LOS ACUMULADOS

	$sql223=mysqli_query($con ,"insert into dginvacu(nparte1, axo, mes, exi_ini, compras, exi_fin  ,cos_prof, acc_fec, acc_hor, usuario) values ('$trozo1[0]','".date('Y')."','".date('n')."','0','$trozo1[28]','$trozo1[28]','$trozo1[25]', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')");
	//BUSCA CODIGO PROVEEDOR
	$tropro=explode("-",$trozo1[21]);
	$sq_baspro=mysqli_query($con ,"select * from dgcatpro where nom_pro='$tropro[0]' and ap_pat_pro ='$tropro[1]' and ap_mat_pro ='$tropro[2]'");
	$dt_baspro=mysqli_fetch_array($sq_baspro);

	// --> AGREGAR DATOS A INVENTARIOS
	$sq_inventEx=mysqli_query($con ,"SELECT * FROM dginvent WHERE dginvent.modulo='".$_SESSION['mod_sis']."' AND   nparte1 ='$trozo1[0]' AND es_inv='1'");
	if(mysqli_num_rows($sq_inventEx)==0){
		$sq_inventAl=mysqli_query($con ,"SELECT * FROM dginvent WHERE dginvent.modulo='".$_SESSION['mod_sis']."' AND   nparte1 ='$trozo1[0]'");
		if($trozo1[21]>0)
			$esInv='1';
		else{
			$esInv='0';
			$trozo1[21]='5000';
			//$trozo1[21]='5000';
		}
		if(mysqli_num_rows($sq_inventAl)==0){
			$sql2=mysqli_query($con ,"insert into dginvent (nparte1, np_desc1, ubicacion, exi_min, exi_max, linea, gpo_basico, cve_marca, lim_vta1, lim_vta2, lim_vta3, ven_esp1, lim_1, lim_2, lim_3, cve_uni_com, cve_uni_vta, afe_inv, cont_nser, cve_iva, tip_mon, cod_pro, uc_fec_doc,uc_num_doc,uc_pre_com, cos_prom, cos_prom_ant, exi_fis, exi_dis, fec_bck_ord, bck_ord, acc_fec, acc_hor, usuario,es_inv,modulo) values ('$trozo1[0]', '$trozo1[1]', '$trozo1[2]', '$trozo1[3]', '$trozo1[4]', '$linea', '$grupo', '$marca', '$trozo1[8]', '$trozo1[9]', '$trozo1[10]', '$trozo1[11]', '$trozo1[12]', '$trozo1[13]', '$trozo1[14]', '$unidad1', '$unidad2', '$trozo1[17]', '$trozo1[18]', '$trozo1[19]', '$trozo1[20]', '".$dt_baspro['cod_pro']."', '$trozo1[22]', '$trozo1[23]', '$trozo1[24]', '$trozo1[25]', '$trozo1[26]', '$trozo1[21]', '$trozo1[21]', '$trozo1[29]', '$trozo1[30]', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."','$esInv')");
		$sql22=mysqli_query($con ,"insert into dginvalm (nparte1, almacen, exi_fis_alm, can_dis_alm, acc_fec, acc_hor, usuario) values ('$trozo1[0]','0A','$trozo1[21]','$trozo1[21]', CURDATE(), CURTIME(),'".$_SESSION['num_usu']."','ADM')");
		echo mysqli_error($con);

		}
		else{
			$sql2=mysqli_query($con ,"update dginvent SET exi_fis='$trozo1[21]',exi_dis='$trozo1[21]',es_inv='1' WHERE nparte1='$trozo1[0]'");		
			$sql22=mysqli_query($con ,"update dginvalm  SET exi_fis_alm='$trozo1[21]',exi_dis_alm='$trozo1[21]' WHERE nparte1='$trozo1[0]'");
		}
	$conx += 1;
	}
	
	//echo '<h2>UN REGISTRO</h2>' ;
		//if($conx==10){
		 // echo '<h2>TERMINO DE CARGAR 10 REGISTROS</h2>';
		  //exit();
		//}
	}
	fclose ($archivo);
	 //almacen 
	/*$archivo1= fopen('archivos/'.$_REQUEST['t2'] , "r");
	if(!$archivo1){
		echo "no ABRE!!!!";	
		exit();
	}
	while (!feof($archivo1))
	{
		$crear3=fgets($archivo1,255);
		$trozo2=explode("|",$crear3);
		$fin=count($trozo2);
		// --> CARGAR AL ALMACEN
		$sql22=mysqli_query($con ,"insert into dginvalm (nparte1, almacen, exi_fis_alm, can_dis_alm, acc_fec, acc_hor, usuario) values ('$trozo2[0]','$trozo2[1]','$trozo2[2]','$trozo2[2]', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')");

		//CARGAR AL CARDEX
	$sql32=mysqli_query($con ,"insert into dgcardex(nparte1, fec_mov,tip_mov,almacen, mov_ent, ex_in, ex_fi,  acc_fec, acc_hor, usuario) values ('$trozo2[0]','".date('Y-m-d')."','II','$trozo2[1]','$trozo2[2]','0','$trozo2[2]', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."')");
	
	} 
	fclose ($archivo1);
	*/
	mysqli_close($con);
	echo '<h2>FELICIDADES SE CREO LA TABLA CON: '.$conx.' REGISTROS</h2>' ;
?>
</body>
</html>
